
package org.apache.headers.types;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.apache.headers.types package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SOAPHeaderInfo_QNAME = new QName("http://apache.org/headers/types", "SOAPHeaderInfo");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.headers.types
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link OutHeaderResponse }
     * 
     */
    public OutHeaderResponse createOutHeaderResponse() {
        return new OutHeaderResponse();
    }

    /**
     * Create an instance of {@link SOAPHeaderData }
     * 
     */
    public SOAPHeaderData createSOAPHeaderData() {
        return new SOAPHeaderData();
    }

    /**
     * Create an instance of {@link InoutHeader }
     * 
     */
    public InoutHeader createInoutHeader() {
        return new InoutHeader();
    }

    /**
     * Create an instance of {@link InoutHeaderResponse }
     * 
     */
    public InoutHeaderResponse createInoutHeaderResponse() {
        return new InoutHeaderResponse();
    }

    /**
     * Create an instance of {@link InHeader }
     * 
     */
    public InHeader createInHeader() {
        return new InHeader();
    }

    /**
     * Create an instance of {@link OutHeader }
     * 
     */
    public OutHeader createOutHeader() {
        return new OutHeader();
    }

    /**
     * Create an instance of {@link InHeaderResponse }
     * 
     */
    public InHeaderResponse createInHeaderResponse() {
        return new InHeaderResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SOAPHeaderData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://apache.org/headers/types", name = "SOAPHeaderInfo")
    public JAXBElement<SOAPHeaderData> createSOAPHeaderInfo(SOAPHeaderData value) {
        return new JAXBElement<SOAPHeaderData>(_SOAPHeaderInfo_QNAME, SOAPHeaderData.class, null, value);
    }

}
